Show / Hide Table of Contents

# Struct UIState

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct UIState

### Fields

| Improve this Doc View Source

#### ActiveDirector

##### Declaration

    public Director*ActiveDirector

##### Field Value

Type | Description
--- | ---
Director* |

| Improve this Doc View Source

#### Buddy

##### Declaration

    public Buddy Buddy

##### Field Value

Type | Description
--- | ---
Buddy |

| Improve this Doc View Source

#### Cabinet

##### Declaration

    public Cabinet Cabinet

##### Field Value

Type | Description
--- | ---
Cabinet |

| Improve this Doc View Source

#### ContentsFinder

##### Declaration

    public ContentsFinder ContentsFinder

##### Field Value

Type | Description
--- | ---
ContentsFinder |

| Improve this Doc View Source

#### FateDirector

##### Declaration

    public FateDirector*FateDirector

##### Field Value

Type | Description
--- | ---
FateDirector* |

| Improve this Doc View Source

#### Hate

##### Declaration

    public Hate Hate

##### Field Value

Type | Description
--- | ---
Hate |

| Improve this Doc View Source

#### Hater

##### Declaration

    public Hater Hater

##### Field Value

Type | Description
--- | ---
Hater |

| Improve this Doc View Source

#### Hotbar

##### Declaration

    public Hotbar Hotbar

##### Field Value

Type | Description
--- | ---
Hotbar |

| Improve this Doc View Source

#### Map

##### Declaration

    public Map Map

##### Field Value

Type | Description
--- | ---
Map |

| Improve this Doc View Source

#### MarkingController

##### Declaration

    public MarkingController MarkingController

##### Field Value

Type | Description
--- | ---
MarkingController |

| Improve this Doc View Source

#### PlayerState

##### Declaration

    public PlayerState PlayerState

##### Field Value

Type | Description
--- | ---
PlayerState |

| Improve this Doc View Source

#### RelicNote

##### Declaration

    public RelicNote RelicNote

##### Field Value

Type | Description
--- | ---
RelicNote |

| Improve this Doc View Source

#### Revive

##### Declaration

    public Revive Revive

##### Field Value

Type | Description
--- | ---
Revive |

| Improve this Doc View Source

#### Telepo

##### Declaration

    public Telepo Telepo

##### Field Value

Type | Description
--- | ---
Telepo |

| Improve this Doc View Source

#### UnlockedCompanionsBitmask

##### Declaration

    public byte *UnlockedCompanionsBitmask

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### WeaponState

##### Declaration

    public WeaponState WeaponState

##### Field Value

Type | Description
--- | ---
WeaponState |

### Methods

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static UIState*Instance()

##### Returns

Type | Description
--- | ---
UIState* |

| Improve this Doc View Source

#### IsCompanionUnlocked(UInt32)

Check if a companion (minion) is unlocked for the current character.

##### Declaration

    public bool IsCompanionUnlocked(uint companionId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | companionId | The ID of the companion/minion to check for.

##### Returns

Type | Description
--- | ---
System.Boolean | Returns true if the specified minion is unlocked.

##### Remarks

WARNING: This method is NOT BOUNDED on IDs. While one function seems to set an upper bound on this, this method is a pain in the neck to find and, frustratingly, cannot be sigged.

| Improve this Doc View Source

#### IsEmoteUnlocked(UInt16)

##### Declaration

    public bool IsEmoteUnlocked(ushort emoteId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | emoteId |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsInstanceContentCompleted(UInt32)

##### Declaration

    public static bool IsInstanceContentCompleted(uint instanceContentId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | instanceContentId |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsItemActionUnlocked(Void*)

##### Declaration

    public long IsItemActionUnlocked(void *itemExdPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Void* | itemExdPtr |

##### Returns

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### IsTripleTriadCardUnlocked(UInt16)

##### Declaration

    public bool IsTripleTriadCardUnlocked(ushort cardId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | cardId |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsUnlockLinkUnlocked(UInt32)

##### Declaration

    public bool IsUnlockLinkUnlocked(uint unlockLink)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | unlockLink |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsUnlockLinkUnlockedOrQuestCompleted(UInt32, Byte)

##### Declaration

    public bool IsUnlockLinkUnlockedOrQuestCompleted(uint unlockLinkOrQuestId, byte a3)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | unlockLinkOrQuestId |
System.Byte | a3 |

##### Returns

Type | Description
--- | ---
System.Boolean |